Loading...
Searching...
No Matches
Dune::Amg::ConstructionTraits< OwnerOverlapCopyCommunication< T1, T2 > > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/construction.hh>`

Inheritance diagram for Dune::Amg::ConstructionTraits< OwnerOverlapCopyCommunication< T1, T2 > >:

## Public Types

typedef const OwnerOverlapCopyCommunicationArgs | Arguments

## Static Public Member Functions

static std::shared_ptr< OwnerOverlapCopyCommunication< T1, T2 > > | construct (Arguments &args)

## Member Typedef Documentation

## Arguments

template<class T1, class T2>

typedef const OwnerOverlapCopyCommunicationArgs Dune::Amg::ConstructionTraits< OwnerOverlapCopyCommunication< T1, T2 > >::Arguments

## Member Function Documentation

## construct()

template<class T1, class T2>

std::shared_ptr< OwnerOverlapCopyCommunication< T1, T2 > > Dune::Amg::ConstructionTraits< OwnerOverlapCopyCommunication< T1, T2 > >::construct | ( | Arguments & | args | ) |

inline static

The documentation for this struct was generated from the following file:

- construction.hh